#!/usr/bin/python
#This is all specific to your temp board

import math
#import smbus
import sys

def ReverseByteOrder(data):

    seq = ["0x"]
    size=2
    while(size>0):
        d = data & 0xFF     # extract the least significant(LS) byte
        seq.append('%02x'%d)# convert to appropriate string, append to sequence
        data >>= 8          # push next higher byte to LS position
        size-=1

    revD = int(''.join(seq),16)
    return revD

def Convert2sComplementToDecimal(data):
    data = data & 0b011111111111
    data=data-2048
    return data
 

#bus = smbus.SMBus(0)
#word = bus.read_word_data(0x48,0)
#word = 0x9012
#word = 0xe7  #-25C
word = 0x00c9
decimal = ReverseByteOrder(word)
#print hex(decimal)
decimal>>=4
#print hex(decimal)
if(decimal > 0x7FF):
#    print "Greater than 0x7FF"
    decimal = Convert2sComplementToDecimal(decimal)
#print hex(decimal)
print decimal*0.0625
tempF = math.trunc((9.0/5.0) * (decimal*0.0625) + 32)
print tempF
sys.exit(tempF)


