/**************************************************************************
 *                       
 *  Name:        cdef.h  
 *  Description: typedefs...
 *  Date  :      22.11.2006 
 *  Author:      
 *  Revision List:
  --------------------------------------------------------------------------
  Date     | Author          | Change
  --------------------------------------------------------------------------
  22.11.06 |                 | Ersterstellung
  --------------------------------------------------------------------------
           |                 |
  --------------------------------------------------------------------------
 **************************************************************************/
#ifndef CDEF_H
#define CDEF_H

//#include "str912fw44.h"
//#include "91x_gpio.h"
//#include "91x_scu.h"
//#include "91x_type.h"

/**************************************************************************/
/* Global Definitions                                                            */
/**************************************************************************/
typedef unsigned char   byte;       /* unsigned BYTE  */
typedef unsigned short  word;       /* unsigned WORD 16-Bit */
typedef signed char     int8;       /*  */
typedef signed short    int16;      /*  */
typedef byte            bool;       /*  */
typedef unsigned long   dword;      /* 32 bit unsigned */
typedef signed long     int32;
typedef unsigned char   cbyte;

#define NULL ((void *)0)

typedef unsigned char       boolean;

#define to_boolean(b)       (((b) != 0) ? TRUE : FALSE)

typedef unsigned char       uint8;
typedef unsigned short int  uint16;
typedef unsigned long int   uint32;

#define True                1
#define False               0
#define TRUE                True
#define FALSE               False
#define true                1
#define false               0
#define On                  1
#define Off                 0
#define Yes                 1
#define No                  0

#define BIT0   0x00000001                /* Bit-Definitionen */
#define BIT1   0x00000002
#define BIT2   0x00000004
#define BIT3   0x00000008
#define BIT4   0x00000010
#define BIT5   0x00000020
#define BIT6   0x00000040
#define BIT7   0x00000080

#define Bit0   0x00000001                /* Bit-Definitionen */
#define Bit1   0x00000002
#define Bit2   0x00000004
#define Bit3   0x00000008
#define Bit4   0x00000010
#define Bit5   0x00000020
#define Bit6   0x00000040
#define Bit7   0x00000080

#define Bit8   0x00000100                /* Bit-Definitionen */
#define Bit9   0x00000200
#define Bit10  0x00000400
#define Bit11  0x00000800
#define Bit12  0x00001000
#define Bit13  0x00002000
#define Bit14  0x00004000
#define Bit15  0x00008000

#define Bit16  0x00010000                /* Bit-Definitionen */
#define Bit17  0x00020000
#define Bit18  0x00040000
#define Bit19  0x00080000
#define Bit20  0x00100000
#define Bit21  0x00200000
#define Bit22  0x00400000
#define Bit23  0x00800000

#define Bit24  0x01000000                /* Bit-Definitionen */
#define Bit25  0x02000000
#define Bit26  0x04000000
#define Bit27  0x08000000
#define Bit28  0x10000000
#define Bit29  0x20000000
#define Bit30  0x40000000
#define Bit31  0x80000000


typedef void (* CDEF_fVoidCallBackFunc)( void ); /*
* Description : simple callbackfunction
*/

#define nPinMask        0x0000000f
#define nPushPull50Mhz  0x00000003

/* Interrupts global freigeben/sperren */
#define mcIntEnable()  {__asm("  cpsie i\n");}
#define mcIntDisable() {__asm("  cpsid i\n");}

/* Systemreset */
#define nResetMask      0x05fa0000

#define mcSystemReset() {__asm("ldr r0,=0xe000ed0c\n");\
                         __asm("ldr r1,=0x05fa0004\n");\
                         __asm("str r1,[r0, #0]\n");}

/**************************************************************************
* defines, typedefs and makros for RTOS
***************************************************************************/
#endif

